glib-0.13.2.1: Binding to the GLIB library for Gtk2Hs.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.Glib.GDateTime

Description

# Documentation

type GTimeValPart = CLong Source

data GTimeVal Source

Constructors

GTimeVal |

Fields

gTimeValSec :: GTimeValPart
gTimeValUSec :: GTimeValPart

Instances

Eq GTimeVal Source |
Ord GTimeVal Source |
Storable GTimeVal Source |

gGetCurrentTime :: IO GTimeVal Source

gUSleep :: GTimeValPart -> IO () Source

gTimeValAdd :: GTimeVal -> GTimeValPart -> GTimeVal Source

gTimeValFromISO8601 :: GlibString string => string -> Maybe GTimeVal Source

gTimeValToISO8601 :: GlibString string => GTimeVal -> string Source

newtype GDate Source

Constructors

GDate |

Fields

gDateJulianDay :: GDateJulianDay

Instances

Eq GDate Source |
Ord GDate Source |
Storable GDate Source |

data GDateDay Source

Instances

Bounded GDateDay Source |
Eq GDateDay Source |
Ord GDateDay Source |

data GDateMonth Source

Instances

Bounded GDateMonth Source |
Enum GDateMonth Source |
Eq GDateMonth Source |
Ord GDateMonth Source |

data GDateYear Source

Instances

Bounded GDateYear Source |
Eq GDateYear Source |
Ord GDateYear Source |

type GDateJulianDay = CUInt Source

data GDateWeekday Source

Instances

Bounded GDateWeekday Source |
Enum GDateWeekday Source |
Eq GDateWeekday Source |
Ord GDateWeekday Source |

gDateValidJulian :: GDateJulianDay -> Bool Source

gDateValidDMY :: GDateDay -> GDateMonth -> GDateYear -> Bool Source

gDateNewJulian :: GDateJulianDay -> Maybe GDate Source

gDateNewDMY :: GDateDay -> GDateMonth -> GDateYear -> Maybe GDate Source

gDateSetDay :: GDate -> GDateDay -> Maybe GDate Source

gDateSetMonth :: GDate -> GDateMonth -> Maybe GDate Source

gDateSetYear :: GDate -> GDateYear -> Maybe GDate Source

gDateNewTimeVal :: GTimeVal -> GDate Source

gDateParse :: GlibString string => string -> IO (Maybe GDate) Source

gDateAddDays :: GDate -> Word -> GDate Source

gDateSubtractDays :: GDate -> Word -> GDate Source

gDateAddMonths :: GDate -> Word -> GDate Source

gDateSubtractMonths :: GDate -> Word -> GDate Source

gDateAddYears :: GDate -> Word -> GDate Source

gDateSubtractYears :: GDate -> Word -> GDate Source

gDateDaysBetween :: GDate -> GDate -> Int Source

gDateCompare :: GDate -> GDate -> Ordering Source

gDateClamp :: GDate -> GDate -> GDate -> GDate Source

gDateDay :: GDate -> GDateDay Source

gDateMonth :: GDate -> GDateMonth Source

gDateYear :: GDate -> GDateYear Source

gDateWeekday :: GDate -> GDateWeekday Source